# Namespace: control

## olx.control

### Type Definitions

#### olx.control.AttributionOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `className` | string | undefined | <optional> | CSS class name. Default is `ol-attribution`.
  `target` | Element | undefined | <optional> | Target.

#### olx.control.ControlOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `element` | Element | undefined | <optional> | The element is the control's container element. This only needs to be specified if you're developing a custom control.
  `target` | Element | string | undefined | <optional> | Specify a target if you want the control to be rendered outside of the map's viewport.

#### olx.control.DefaultsOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `attribution` | boolean | undefined | <optional> | Attribution. Default is `true`.
  `attributionOptions` | olx.control.AttributionOptions | undefined | <optional> | Attribution options.
  `logo` | boolean | undefined | <optional> | Logo. Default is `true`.
  `logoOptions` | olx.control.LogoOptions | undefined | <optional> | Logo options.
  `zoom` | boolean | undefined | <optional> | Zoom. Default is `true`.
  `rotateOptions` | olx.control.RotateOptions | undefined | <optional> | Rotate options.
  `zoomOptions` | olx.control.ZoomOptions | undefined | <optional> | Zoom options.

#### olx.control.FullScreenOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `className` | string | undefined | <optional> | CSS class name. Default is `ol-full-screen`.
  `tipLabel` | string | undefined | <optional> | Text label to use for the button tip. Default is `Toggle full-screen`
  `keys` | boolean | undefined | <optional> | Full keyboard access.
  `target` | Element | undefined | <optional> | Target.

#### olx.control.LogoOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `className` | string | undefined | <optional> | CSS class name. Default is `ol-logo`.
  `target` | Element | undefined | <optional> | Target.

#### olx.control.MousePositionOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `className` | string | undefined | <optional> | CSS class name. Default is `ol-mouse-position`.
  `coordinateFormat` | ol.CoordinateFormatType | undefined | <optional> | Coordinate format.
  `projection` | ol.proj.ProjectionLike |  | Projection.
  `target` | Element | undefined | <optional> | Target.
  `undefinedHTML` | string | undefined | <optional> | Markup for undefined coordinates. Default is `` (empty string).

#### olx.control.RotateOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `className` | string | undefined | <optional> | CSS class name. Default is `ol-rotate`.
  `label` | string | undefined | <optional> | Text label to use for the rotate button. Default is `⇧`
  `tipLabel` | string | undefined | <optional> | Text label to use for the rotate tip. Default is `Reset rotation`
  `duration` | number | undefined | <optional> | Animation duration in milliseconds. Default is `250`.
  `autoHide` | boolean | undefined | <optional> | Hide the control when rotation is 0. Default is `true`.
  `target` | Element | undefined | <optional> | Target.

#### olx.control.ScaleLineOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `className` | string | undefined | <optional> | CSS Class name. Default is `ol-scale-line`.
  `minWidth` | number | undefined | <optional> | Minimum width in pixels. Default is `64`.
  `target` | Element | undefined | <optional> | Target.
  `units` | ol.control.ScaleLineUnits | string | undefined | <optional> | Units. Default is `metric`.

#### olx.control.ZoomOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `duration` | number | undefined | <optional> | Animation duration in milliseconds. Default is `250`.
  `className` | string | undefined | <optional> | CSS class name. Default is `ol-zoom`.
  `zoomInLabel` | string | undefined | <optional> | Text label to use for the zoom-in button. Default is `+`
  `zoomOutLabel` | string | undefined | <optional> | Text label to use for the zoom-out button. Default is `-`
  `zoomInTipLabel` | string | undefined | <optional> | Text label to use for the button tip. Default is `Zoom in`
  `zoomOutTipLabel` | string | undefined | <optional> | Text label to use for the button tip. Default is `Zoom out`
  `delta` | number | undefined | <optional> | The zoom delta applied on each click.
  `target` | Element | undefined | <optional> | Target.

#### olx.control.ZoomSliderOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `className` | string | undefined | <optional> | CSS class name.
  `maxResolution` | number | undefined | <optional> | Maximum resolution.
  `minResolution` | number | undefined | <optional> | Minimum resolution.

#### olx.control.ZoomToExtentOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `className` | string | undefined | <optional> | Class name. Default is `ol-zoom-extent`.
  `target` | Element | undefined | <optional> | Target.
  `tipLabel` | string | undefined | <optional> | Text label to use for the button tip. Default is `Zoom to extent`
  `extent` | ol.Extent | undefined | <optional> | The extent to zoom to. If undefined the validity extent of the view projection is used.